Skip to main content
GET
/
v1
/
prices
cURL
curl --request GET \
  --url https://dev-api-cj-agc-vie.fnstack.dev/v1/prices \
  --header 'x-api-key: <api-key>'
import requests

url = "https://dev-api-cj-agc-vie.fnstack.dev/v1/prices"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://dev-api-cj-agc-vie.fnstack.dev/v1/prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "price_id": "price_2c1x7V4r47ynM4RABVm1Co0UKkG",
    "plan": {
      "plan_id": "plan_2c1x7V4r47ynM4RABVm1Co0UKkG",
      "status": "ACTIVE",
      "policy_type": "EDUCATIONAL_FORESIGHT",
      "policy_type_name": "<string>"
    },
    "currency": 1000,
    "interval": {
      "count": 123,
      "single": "<string>",
      "period": "<string>",
      "interval": "<string>",
      "description": "<string>"
    },
    "unit_amount": 1000,
    "estimated_capital_amount": 1000,
    "accidental_death_capital": 1000,
    "contribution_at_the_end_amount": 1000
  }
]
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}

Authorizations

x-api-key
string
header
required

Query Parameters

policy_type
string
required
Example:

"MOBIL_PROTECT"

Response

List prices

price_id
string
required
Minimum string length: 1
Example:

"price_2c1x7V4r47ynM4RABVm1Co0UKkG"

plan
object
required
currency
number
required
Example:

1000

interval
object
required
unit_amount
number
required
Example:

1000

estimated_capital_amount
number
Example:

1000

accidental_death_capital
number
Example:

1000

contribution_at_the_end_amount
number
Example:

1000